//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_DownloadsView extends _HOOK_CLASS_
{

/* !Hook Data - DO NOT REMOVE */
public static function hookData() {
 return array_merge_recursive( array (
  'downloadButton' => 
  array (
    0 => 
    array (
      'selector' => 'li',
      'type' => 'add_before',
      'content' => '{{$count = \IPS\membersshop\Purchases::fcount();}}
{{if $count > 0}}
{{$feature = \IPS\membersshop\Purchases::featureFile();}}
<li>
<a href=\'{url="app=membersshop&module=shop&controller=myitems&do=FeatureFile&fid=$file->id&id=$feature"}\' title=\'{lang="ms_pin_this_topic"}\' class=\'ipsButton ipsButton_fullWidth ipsButton_large ipsButton_important\'>
{lang="ms_feature_this_file"}
</a>
</li>
{{endif}}',
    ),
    1 => 
    array (
      'selector' => 'li > a.ipsButton.ipsButton_fullWidth.ipsButton_large.ipsButton_important',
      'type' => 'replace',
      'content' => '{template="downloadsButton" group="downloads" location="front" app="membersshop" params="$file"}',
    ),
  ),
  'view' => 
  array (
    0 => 
    array (
      'selector' => '#elClubContainer > div > div.ipsClearfix > div > div.ipsPageHeader.ipsClearfix.ipsSpacer_bottom > h1.ipsType_pageTitle.ipsContained_container',
      'type' => 'add_after',
      'content' => '{{if $file->shopPoints() AND !$file->isPaid()}}
{{$pointsName = \IPS\Settings::i()->ms_points_name;}}
<p class="ipsType_pageTitle ipsType_reset ipsSpacer_top ipsSpacer_half">
    <span class="cFilePrice">
        {$file->shopPoints()} {$pointsName}
    </span>
</p>
{{endif}} ',
    ),
  ),
), parent::hookData() );
}
/* End Hook Data */


}
