//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_MediaUploader extends _HOOK_CLASS_
{
	protected function imageuploadSave( $form, $values, $member, $group_id, $category )
	{
		try
		{
			try
			{
				if( \IPS\Settings::i()->ms_mediauploader_imageupload > 0 )
				{
					$member->shop_points = $member->shop_points + \IPS\Settings::i()->ms_mediauploader_imageupload;
					$member->save();
		
					$reward = new \IPS\membersshop\Rewards;
					$reward->item_id = -16;
					$reward->member_id = $member->member_id;
					$reward->time_date = time();
					$reward->reward = \IPS\Settings::i()->ms_mediauploader_imageupload;
					$reward->save();
				}
		
				parent::imageuploadSave( $form, $values, $member, $group_id, $category );
			}
			catch ( \Error | \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}

	protected function videouploadSave( $form, $values, $member, $group_id, $category )
	{
		try
		{
			try
			{
				if( \IPS\Settings::i()->ms_mediauploader_videoupload > 0 )
				{
					$member->shop_points = $member->shop_points + \IPS\Settings::i()->ms_mediauploader_videoupload;
					$member->save();
		
					$reward = new \IPS\membersshop\Rewards;
					$reward->item_id = -17;
					$reward->member_id = $member->member_id;
					$reward->time_date = time();
					$reward->reward = \IPS\Settings::i()->ms_mediauploader_videoupload;
					$reward->save();
				}
		
				parent::videouploadSave( $form, $values, $member, $group_id, $category );
			}
			catch ( \Error | \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}

	protected function audiouploadSave( $form, $values, $member, $group_id, $category )
	{
		try
		{
			try
			{
				if( \IPS\Settings::i()->ms_mediauploader_audioupload > 0 )
				{
					$member->shop_points = $member->shop_points + \IPS\Settings::i()->ms_mediauploader_audioupload;
					$member->save();
		
					$reward = new \IPS\membersshop\Rewards;
					$reward->item_id = -18;
					$reward->member_id = $member->member_id;
					$reward->time_date = time();
					$reward->reward = \IPS\Settings::i()->ms_mediauploader_audioupload;
					$reward->save();
				}
		
				parent::audiouploadSave( $form, $values, $member, $group_id, $category );
			}
			catch ( \Error | \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}

	protected function docuploadSave( $form, $values, $member, $group_id, $category )
	{
		try
		{
			try
			{
				if( \IPS\Settings::i()->ms_mediauploader_docupload > 0 )
				{
					$member->shop_points = $member->shop_points + \IPS\Settings::i()->ms_mediauploader_docupload;
					$member->save();
					
					$reward = new \IPS\membersshop\Rewards;
					$reward->item_id = -19;
					$reward->member_id = $member->member_id;
					$reward->time_date = time();
					$reward->reward = \IPS\Settings::i()->ms_mediauploader_docupload;
					$reward->save();
				}
		
				parent::docuploadSave( $form, $values, $member, $group_id, $category );
			}
			catch ( \Error | \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
