<?php
/**
 * @brief		Members Shop Application Class
 * @author		<a href='https://ipsdev.org'>TheJackal</a>
 * @copyright	(c) 2017 TheJackal
 * @package		Invision Community
 * @subpackage	Members Shop
 * @since		26 Nov 2017
 * @version		
 */
 
namespace IPS\membersshop;

/**
 * Members Shop Application Class
 */
class _Application extends \IPS\Application
{
	protected function get__icon()
	{
		return 'shopping-bag';
	}

	public function defaultFrontNavigation()
	{
		return array(
			'rootTabs'		=> array(
				array(
					'key'		=> 'shop',
					'children'	=> array(
						array( 'key' => 'myitems' ),
						array( 'key' => 'logs' ),
						array( 'key' => 'bank' ),
						array( 'key' => 'statistics' )
					),
				),
			),
			'browseTabs'	=> array(),
			'browseTabsEnd'	=> array(),
			'activityTabs'	=> array()
		);
	}
}