<?php

namespace IPS\membersshop\extensions\nexus\Item;

/* To prevent PHP errors (extending class does not exist) revealing path */
if( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * Points
 */
class _Points extends \IPS\nexus\Invoice\Item\Charge // or \IPS\nexus\Invoice\Item\Purchase
{
	public static $application = 'membersshop';
	public static $type = 'points';
	public static $icon = 'star';
	public static $title = 'ms_points_purchase';
	public static $canUseCoupons = TRUE;
	public static $canUseAccountCredit = TRUE;

	public function onPaid( \IPS\nexus\Invoice $invoice )
	{
		$memberPoints = $invoice->member->shopPoints();
		$invoiceExtra = $invoice->status_extra;
		$pointsPurchased = $invoiceExtra['points'];
		$message = "Purchased Points";
		$invoice->member->addPoints( $pointsPurchased, $message );
	}
}