//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_NexusReview extends _HOOK_CLASS_
{
	public function postCreate()
	{
		try
		{
			try
			{
				parent::postCreate();
		
				if( !\IPS\Settings::i()->ms_disable_nexus_hooks )
				{
					$member = \IPS\Member::loggedIn();
					$points = \IPS\Settings::i()->ms_nexus_points_reivew;
		
					if( $points != 0 AND \IPS\Member::loggedIn()->member_id )
					{
						$pointsName = \IPS\Settings::i()->ms_points_name;
						$logsACP = sprintf( \IPS\Member::loggedIn()->language()->get('ms_acp_log_nexus_review'), $this->url() );
						$member->addPoints( $points, $logsACP );
		
						$reward = new \IPS\membersshop\Rewards;
						$reward->item_id = -14;
						$reward->member_id = $member->member_id;
						$reward->time_date = time();
						$reward->reward = $points;
						$reward->save();
					}
				}
			}
			catch ( \Error | \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}