//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_WarningReasons extends _HOOK_CLASS_
{
	public function form( &$form )
	{
		try
		{
			try
			{
				$return = parent::form( $form );
		
				try
				{
					$reason = \IPS\membersshop\Warnings::load( $this->id, 'reason_id' );
				}
				catch( \Exception $e )
				{
					$reason = FALSE;
				}
		
				$form->add( new \IPS\Helpers\Form\Number( 'ms_warn_points', $reason ? $reason->points : 0, TRUE, array( 'min' => 0 ), NULL, '-', NULL ) );
		
				return $return;
			}
			catch ( \Error | \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
	public function formatFormValues( $values )
	{
		try
		{
			try
			{
				try
				{
					$reason = \IPS\membersshop\Warnings::load( $this->id, 'reason_id' );
				}
				catch( \Exception $e )
				{
					$reason = new \IPS\membersshop\Warnings;
				}
		
				$reason->points = $values['ms_warn_points'];
				$reason->reason_id = $this->id;
				$reason->save();
		
				unset( $values['ms_warn_points'] );
		
				return parent::formatFormValues( $values );
			}
			catch ( \Error | \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
