<?php


namespace IPS\membersshop\setup\upg_20010;

/* To prevent PHP errors (extending class does not exist) revealing path */
if( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * 2.1.0 Upgrade Code
 */
class _Upgrade
{
	public function step1()
	{
		\IPS\Db::i()->delete( 'membersshop_items', array( 'item_id=?', 6 ) );

		foreach( \IPS\Db::i()->select( '*', 'membersshop_purchases', array( 'item_id=?', 6 ) ) as $row )
		{
			try
			{
				$memberPoints = \IPS\membersshop\Points::load( $row['member_id'], 'member_id' );
				$memberPoints->points += 1750;
				$memberPoints->save();
			}
			catch( \Exception $ex ){}
		}

		\IPS\Db::i()->delete( 'membersshop_purchases', array( 'item_id=?', 6 ) );

		return TRUE;
	}

	public function step1CustomTitle()
	{
		return "Removing and giving MEMBER POINTS purchases points back";
	}
}