<?php


namespace IPS\membersshop\setup\upg_20012;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * 2.1.1.1 Upgrade Code
 */
class _Upgrade
{
	public function step1()
	{
		foreach( \IPS\Db::i()->select( '*', 'membersshop_items', array( 'item_id=? AND extra_field=?', 13, NULL ) ) as $row )
		{
			try
			{
				$item = \IPS\membersshop\Items::constructFromData( $row );
				$item->extra_field = 0;
				$item->save();
			}
			catch( \OutOfRangeException $e ){}
		}

		return TRUE;
	}

	public function step1CustomTitle()
	{
		return "Updating items";
	}
}