<?php

namespace IPS\membersshop;

if( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
    header( ( isset( $_SERVER[ 'SERVER_PROTOCOL' ] ) ? $_SERVER[ 'SERVER_PROTOCOL' ] :
            'HTTP/1.0' ) . ' 403 Forbidden' );
    exit;
}

class _Bank extends \IPS\Patterns\ActiveRecord
{
    protected static $multitons;
	public static $databaseTable = 'membersshop_bank';
	public static $databasePrefix = '';
	public static $databaseColumnId = 'id';
    protected static $databaseIdFields = [ 'id', 'member_id' ];

	public static function getBankPoints( $memberId )
	{
		try
		{
			$points = \IPS\membersshop\Bank::load( $memberId, 'member_id' )->points;
		}
		catch( \OutOfRangeException $e )
		{
			$points = 0;
		}

		return $points;
	}
}